<?xml version="1.0" encoding="UTF-8"?>
<definitions name="squaresSum"
             targetNamespace="http://j2ee.netbeans.org/wsdl/squaresSum"
             xmlns="http://schemas.xmlsoap.org/wsdl/"
             xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
             xmlns:xsd="http://www.w3.org/2001/XMLSchema"
             xmlns:tns="http://j2ee.netbeans.org/wsdl/squaresSum"
             xmlns:ns="http://xml.netbeans.org/schema/squaresSum"
             xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
             xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
  <types>
    <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/squaresSum">
      <xsd:import namespace="http://xml.netbeans.org/schema/squaresSum"
                  schemaLocation="squaresSum.xsd"/>
    </xsd:schema>
  </types>
  <message name="squaresSumOperationRequest">
    <part name="request" element="ns:squaresSumRequest"/>
  </message>
  <message name="squaresSumOperationResponse">
    <part name="response" element="ns:squaresSumResponse"/>
  </message>
  <portType name="squaresSumPortType">
    <operation name="squaresSumOperation">
      <input name="input" message="tns:squaresSumOperationRequest"/>
      <output name="output" message="tns:squaresSumOperationResponse"/>
    </operation>
  </portType>
  <binding name="squaresSumBinding" type="tns:squaresSumPortType">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="squaresSumOperation">
      <soap:operation/>
      <input name="input">
        <soap:body use="literal"/>
      </input>
      <output name="output">
        <soap:body use="literal"/>
      </output>
    </operation>
  </binding>
  <service name="squaresSumService">
    <port name="squaresSumPort" binding="tns:squaresSumBinding">
      <soap:address location="http://localhost:8080/active-bpel/services/squaresSumService"/>
    </port>
  </service>
  <plnk:partnerLinkType name="squaresSum">
    <plnk:role name="squaresSumPortTypeRole" portType="tns:squaresSumPortType"/>
  </plnk:partnerLinkType>
</definitions>
